<?php

namespace App\Models;

use Illuminate\Database\Eloquent\SoftDeletingTrait;

class PasswordresetRequest extends Eloquent {

	protected $table = 'password_reset_requests';
	public $timestamps = true;

	use SoftDeletingTrait;

	protected $dates = ['deleted_at'];
	protected $fillable = array('users_id', 'admin_id', 'slug', 'motif', 'status');
	protected $visible = array('users_id', 'admin_id', 'slug', 'motif', 'status');

	public function user()
	{
		return $this->belongsTo('App\Models\User', 'user_id');
	}

	public function admin()
	{
		return $this->belongsTo('App\Models\User', 'admin_id');
	}

}